package com.xinelu.manage.service.labelfieldinfo;

import com.xinelu.common.core.domain.AjaxResult;
import com.xinelu.manage.domain.labelfieldinfo.LabelFieldInfo;
import com.xinelu.manage.dto.labelfieldinfo.LabelFieldInfoAddDTO;
import com.xinelu.manage.vo.labelfieldinfo.LabelFieldTreeVO;

import java.util.List;

/**
 * 标签字段信息Service接口
 *
 * @author xinelu
 * @date 2024-03-11
 */
public interface ILabelFieldInfoService {
    /**
     * 查询标签字段信息
     *
     * @param id 标签字段信息主键
     * @return 标签字段信息
     */
    LabelFieldInfo selectLabelFieldInfoById(Long id);

    /**
     * 查询标签字段信息列表
     *
     * @param labelFieldInfo 标签字段信息
     * @return 标签字段信息集合
     */
    List<LabelFieldInfo> selectLabelFieldInfoList(LabelFieldInfo labelFieldInfo);

    /**
     * 标签字段信息表 查询标签字段信息列表树图
     *
     * @param fieldType 字段类型
     * @return AjaxResult
     */
    List<LabelFieldTreeVO> labelFieldList(Long taskPartitionDictId, String fieldType);

    /**
     * 新增标签字段信息
     *
     * @param labelFieldInfo 标签字段信息
     * @return 结果
     */
    int insertLabelFieldInfo(LabelFieldInfo labelFieldInfo);

    /**
     * 修改标签字段信息
     *
     * @param labelFieldInfo 标签字段信息
     * @return 结果
     */
    int updateLabelFieldInfo(LabelFieldInfo labelFieldInfo);

    /**
     * 批量删除标签字段信息
     *
     * @param ids 需要删除的标签字段信息主键集合
     * @return 结果
     */
    int deleteLabelFieldInfoByIds(Long[] ids);

    /**
     * 删除标签字段信息信息
     *
     * @param id 标签字段信息主键
     * @return 结果
     */
    int deleteLabelFieldInfoById(Long id);

    /**
     * 批量新增标签字段信息
     */
    int insertLabelFieldInfoList(LabelFieldInfoAddDTO labelFieldInfoAddDTO);

    /**
     * 查询任务类型
     *
     * @return AjaxResult
     */
    AjaxResult taskTypeGrouping();
}
